astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- ASCII Tables (`astropy.io.ascii`) »
- ContinuationLinesInputter

# ContinuationLinesInputter

class `astropy.io.ascii.core.``ContinuationLinesInputter`

  Bases: `astropy.io.ascii.core.BaseInputter`

  Inputter where lines ending in `continuation_char` are joined with the subsequent line. Example:

      col1 col2 col3
      1       2 3
      4 5       6

  Attributes Summary

  `continuation_char` | str(object=’‘) -> string
  `no_continue` |
  `replace_char` | str(object=’‘) -> string

  Methods Summary

  `process_lines`(lines) |

  Attributes Documentation

  `continuation_char` = '\\'
  `no_continue` = None
  `replace_char` = ' '

  Methods Documentation

  `process_lines`(lines)